> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate a workflow config

> Reports what is wrong with a flow config without storing anything. The body is either a workflow with a config key or a bare config.



## OpenAPI

````yaml /api-reference/endpoint/hub-flows/openapi.json post /hub/workflows/validate
openapi: 3.1.0
info:
  title: Flows API
  version: 1.2.0
  description: >-
    Flow collections, nodes and workflows in the QuivaWorks hub: create,
    publish, run, resume, monitor, and the integration OAuth connections flows
    use.
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Collections
    description: Operations related to collections
  - name: Nodes
    description: Operations related to nodes
  - name: Workflows
    description: Operations related to workflows
  - name: Oauth
    description: Oauth configurations and connections
  - name: Schedules
  - name: Eval snippets
  - name: Marketplace
paths:
  /hub/workflows/validate:
    post:
      tags:
        - Workflows
      summary: Validate a workflow config
      description: >-
        Reports what is wrong with a flow config without storing anything. The
        body is either a workflow with a config key or a bare config.
      operationId: validateWorkflow
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Request refused or invalid
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.